Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::LampTextTranslator Class Reference

Lampテキストトランスレータ. More...

`#include <LampTextTranslator.h>`

List of all members.

## Public Member Functions
| LampTextTranslator ()
| コンストラクタ
virtual | ~LampTextTranslator ()
| デストラクタ
virtual MStatus | writer (const MFileObject &file, const MString &optionsString, FileAccessMode mode)
| 書き出し
virtual MStatus | reader (const MFileObject &file, const MString &optionsString, FileAccessMode mode)
| 読み込み
virtual MString | defaultExtension () const
| デフォルト拡張子
virtual MString | filter () const
| ファイルフィルタ
virtual bool | haveWriteMethod () const
| 書き込みメソッドを持つか
virtual bool | haveReadMethod () const
| 読み込みメソッドを持つか
virtual bool | haveNamespaceSupport () const
| ネームスペースをサポートするかどうか
virtual bool | canBeOpened () const
| ファイルを開くことができるか
virtual MPxFileTranslator::MFileKind | identifyFile (const MFileObject &file, const char *buffer, short size) const
| ファイルの識別
## Static Public Member Functions
void * | creator ()
| 生成

## Detailed Description

Lampテキストトランスレータ.

Definition at line 36 of file LampTextTranslator.h.

## Member Function Documentation

virtual bool LampForMaya::LampTextTranslator::canBeOpened | ( |  | ) | const`[inline, virtual]`

| ファイルを開くことができるか Returns: ファイルを開けるならtrue Definition at line 119 of file LampTextTranslator.h.

void* LampForMaya::LampTextTranslator::creator | ( |  | ) | `[inline, static]`

| 生成 unloadPluginを行わないとメモリリークとして検出されます。 Returns: プラグインインスタンス Definition at line 54 of file LampTextTranslator.h. References LampTextTranslator().

virtual MString LampForMaya::LampTextTranslator::defaultExtension | ( |  | ) | const`[inline, virtual]`

| デフォルト拡張子 Returns: デフォルト拡張子 Definition at line 85 of file LampTextTranslator.h. Referenced by filter().

virtual MString LampForMaya::LampTextTranslator::filter | ( |  | ) | const`[inline, virtual]`

| ファイルフィルタ Returns: ファイルフィルタ Definition at line 93 of file LampTextTranslator.h. References defaultExtension().

virtual bool LampForMaya::LampTextTranslator::haveNamespaceSupport | ( |  | ) | const`[inline, virtual]`

| ネームスペースをサポートするかどうか Returns: ネームスペースをサポートするならtrue Definition at line 113 of file LampTextTranslator.h.

virtual bool LampForMaya::LampTextTranslator::haveReadMethod | ( |  | ) | const`[inline, virtual]`

| 読み込みメソッドを持つか Returns: 読み込みメソッドを持つならtrue Definition at line 107 of file LampTextTranslator.h.

virtual bool LampForMaya::LampTextTranslator::haveWriteMethod | ( |  | ) | const`[inline, virtual]`

| 書き込みメソッドを持つか Returns: 書き込みメソッドを持つならtrue Definition at line 101 of file LampTextTranslator.h.

virtual MPxFileTranslator::MFileKind LampForMaya::LampTextTranslator::identifyFile | ( | const MFileObject & | file,
|  | const char * | buffer,
|  | short | size
| ) | const`[inline, virtual]`

  | ファイルの識別 Parameters:
  file | ファイルオブジェクト
  buffer | ファイルバッファ
  size | バッファサイズ
Returns: ファイルが自らのファイルフォーマットかどうか Definition at line 128 of file LampTextTranslator.h.

virtual MStatus LampForMaya::LampTextTranslator::reader | ( | const MFileObject & | file,
|  | const MString & | optionsString,
|  | FileAccessMode | mode
| ) | `[inline, virtual]`

  | 読み込み Parameters:
  file | ファイル名
  optionsString | オプション
  mode | ファイルアクセスモード
Returns: 成功すれば MStatus::kSuccess Definition at line 76 of file LampTextTranslator.h.

virtual MStatus LampForMaya::LampTextTranslator::writer | ( | const MFileObject & | file,
|  | const MString & | optionsString,
|  | FileAccessMode | mode
| ) | `[inline, virtual]`

  | 書き出し Parameters:
  file | ファイル名
  optionsString | オプション
  mode | ファイルアクセスモード
Returns: 成功すれば MStatus::kSuccess Definition at line 63 of file LampTextTranslator.h. References LampForMaya::LampTranslator::write().

The documentation for this class was generated from the following file:

- LampTextTranslator.h